General information

From the 1st of January 2005 companies must deliver there VAT and ICL declarations electronically to the tax authorities. Every company must choose which method, PIN or PKI, it will use for this process.

The process of electronic declaration is largely the same for both methods, the only difference is the way of signing the electronic declaration.

  • PIN; is based on the use of a PIN code to sign the electronic declaration.
  • PKI (Public Key Infrastructure); PKI is based on the use of digital certificates to encrypt messages and verify digital signatures.

The activities and data described in the online help are for both methods except when explicitly indicated that it concerns only PIN or PKI.

Prepare for electronic declaration

Before you can send electronic declarations to the tax authorities you must perform the following tasks:

  1. Request user certificates at the certificate authorities (CA) and import them in the application. This is only necessary if the PKI method will be used!
  2. Register at the tax authorities for electronic declaration.
  3. Enter general data and personal data received from the tax authorities in the Elec. Tax Declaration Setup window.

Create and Submit electronic declarations

When the tasks stated above are finished the application can create and submit VAT and ICL declarations to the tax authorities.

For each electronic declaration the tax authorities will send a response message. These messages must be received from the server of the tax authorities and processed.

Related Topics

General Parameters and Certificates

Request User Certificates

Import User Certificate

Register for electronic declaration at tax authorities

Declarations for a fiscal entity

Elec. Tax Declaration Setup

Electronic VAT declaration to the tax authorities

Electronic ICL declaration to the tax authorities

Receive response messages from tax authorities

Process response message from tax authorities


General Parameters and Certificates

To generate an electronic VAT and ICL declaration and to setup the communication with the tax authorities, a lot of parameters are used. Some parameters are generic others are personal. Most of the parameters are stored in the Elec. Tax Declaration Setup table. Some personal parameters are not stored in the database, you must take care that you save them on a secure place.

Generic Parameters (from tax authorities)

All the generic parameters can be obtained from the document "Koppelvlakspecificaties, voor de netwerk-. transport- en berichtbeveiligingslagen, versie 2.0 definitief." which can be downloaded from the website of the Dutch tax authorities.

Note

Microsoft does not take responsibility of the changes in the documents by the tax authorities. The names of the documents are the names known by us on the 1st of February 2005.

Personal Parameters (from tax authorities)

Every company, that will deliver electronic declarations, must be registrated at the tax authorities. The company will receive personal parameters from the tax authorities like
  • Process ID: Each electronic declaration contains a process ID. Based on the process ID the tax authorities can determine to which process, VAT or ICL, the electronic declaration is related.
  • Usernames and passwords: Needed for access to the servers of the tax authorities.

Other parameters

  • CA Certificate Encryption Password: This password will be used to encrypt the CA certificates and is also needed when you receive the response messages from the tax authorities. You can create your own password. This password will not be saved in Microsoft Dynamics™ NAV .

Certificates

Besides the user certificates for PKI the application needs the following certificates for both methods:
  • Tax authorities certificate; used to encrypt a declaration and to verify a sign.
  • CA certificate; used to check if a certificate is valid.
These certificates can be obtained from the server of the certificate authorities (CA). Use the function Get CA/Tax Auth. Certificates on the Elec. Tax Declaration Setup window to import the certificates in the application.

BAPI.dll

The tax authorities has developed a BAPI.dll, used for the security and communication of the electronic messaging with the tax authorities. To be able to use this BAPI.dll in Microsoft Dynamics™ NAV a BAPIWrapper.dll has been developed. This BAPIWrapper.dll must be registered on your own computer system. For the electronic declarations process, the BAPI.dll and CL32.dll must be downloaded from the tax authorities website. Store these files in the same folder as the BAPIWrapper.dll.

Related Topics

Electronic declaration with PIN

Electronic declaration with PKI

Elec. Tax Declaration Setup


Electronic declaration with PIN

This page contains the parameters used for PIN only. The PIN method needs also the general parameters and certificates, used for both PIN and PKI.

PIN is based on the use of a PIN code to sign an electronic declaration. Based on the PIN code the tax authorities can determine the company which has delivered the electronic declarations.

Before you can send electronic declarations to the tax authorities you must determine the PIN code of your company and deliver it to the tax authorities.

The PIN code will not be stored in the database. You must take care that you save them on a secure place.

Related Topics

General Parameters and Certificates

Register for electronic declaration at tax authorities


Electronic declaration with PKI

This page contains the certificates and parameters used for PKI only. The PKI method needs also the general parameters and certificates, used for both PIN and PKI.

Certificates

PKI is the abbreviation of Public Key Infrastructure. PKI is based on the use of digital certificates: electronic IDs that enable users to encrypt messages and verify digital signatures.

Each company needs two user certificates:

  • Authentication certificate: used to sign the electronic declaration.
  • Encryption certificate: used to encrypt the electronic declaration.

These certificates must be requested at the certificate authorities (CA). The CA will provide the company with a code and document number, needed to download the certificates from the CA website. Both certificates must be imported in Microsoft Dynamics™ NAV .

When the certificates are imported in the database the company must register for electronic declarations at the tax authorities. The tax authorities will send a document with your personal parameters.

Most of the parameters are stored in the Elec. Tax Declaration Setup table. Some parameters are not stored in the database, you must take care that you save them on a secure place.

Parameters

All the generic parameters for PKI can be obtained from the following documents which can be downloaded from the website of the Dutch tax authorities:
  • Koppelvlakspecificaties, voor de netwerk-. transport- en berichtbeveiligingslagen, versie 2.0 definitief.
  • Koppelvlakspecificaties Certificate Service Providers versie 2.0.4

Note

Microsoft does not take responsibility of the changes in the documents by the tax authorities. The names of the documents are the names known by us on the 1st of February 2005.

You can also find more information about PKI on the website of the certificate authorities.

Other parameters

  • User Certificate Password:
  • This password must be entered when you request the user certificates. You need this password again to import the certificates, to send messages to the tax authorities and to receive messages from the tax authorities. You can create your own user certificate password. This password will not be saved in Microsoft Dynamics™ NAV .

Related Topics

General Parameters and Certificates

Request User Certificates

Import User Certificate

Register for electronic declaration at tax authorities

Elec. Tax Declaration Setup


Electronic VAT declaration to the tax authorities

The electronic VAT declaration contains the posted VAT and the calculated duty liable to the customs authorities for a selected period. The data of the declaration is based on the definition of the VAT statement in the VAT Statement Line table.

Before you can create the electronic declaration you must setup the VAT categories in the Elec. Tax. Decl. VAT Category table and connect the categories to the VAT statement lines.

The electronic VAT declaration contains contact information of the taxpayer or the agent. When the electronic VAT declaration is submitted by a service agency to the tax authorities then the electronic VAT declaration also contains the contact information of the service agency. The contact information from the Elec. Tax Declaration Setup table will be used for the electronic VAT declaration. When it concerns a tax payer then the VAT registration number of the company will be used for the Contact ID in the electronic VAT declaration.

On the Elec. Tax Declaration Setup Window you must enter data that will be used to generate the electronic VAT declaration and to communicate with the tax authorities.

The tax authorities will send a response message for each received electronic VAT declaration.

Related Topics

Setup electronic VAT declaration

Setup VAT Categories

Setup VAT Statement

Create electronic VAT declaration

Submit electronic VAT declaration

Response messages from tax authorities

Declarations for a fiscal entity


Electronic ICL declaration to the tax authorities

Companies, which have deliveries or services to other EU-countries/regions, must quarterly deliver an electronic ICL declaration of intracommunautaire deliveries to the tax authorities. It is essential for the intracommunautaire transactions that the merchandise has crossed the border physically and not for example that the location of an invoice address or the office of the vendor or customer is in an other EU-country/region.

The data of the ICL declaration is based on the VAT Entry table. The VAT entries with a EU party trade field true will be used for the ABC deliveries.

The electronic ICL declaration contains contact information of the taxpayer or the agent, depending on the ICL contact type. In case of contact type taxpayer, the address, post code and city in the Company Information table will be used for the contact information in the electronic ICL declaration together with the contact name and contact phonenumber of the taxpayer from the Elec. Tax Declaration Setup table. When the ICL contact type is an agent, then the agent contact information from the Elec. Tax Declaration Setup table will be used.

On the Elec. Tax Declaration Setup Window you must enter data that will be used to generate the electronic ICL declaration and to communicate with the tax authorities.

The tax authorities will send a response message for each received electronic VAT declaration.

Related Topics

Setup electronic ICL declaration

Create electronic ICL declaration

Submit electronic ICL declaration

Response messages from tax authorities

Declarations for a fiscal entity


Response messages from tax authorities

The tax authorities will send a response message to inform the company about the status of their electronic declarations. The first step is to import the response messages from the tax authorities in Microsoft Dynamics™ NAV . The second step is processing the response messages.

The response message must be linked to the related Elec. Tax Declaration Header. If no accompanying Elec. Tax Declaration Header found an error message will appear.

If the accompanying Elec. Tax Declaration Header is found then, depending on the type of the response message, different steps must be performed.

Acknowledgement response message

If no errors were found in the electronic declaration and the data has been processed by the tax authorities, the Status field in the Elec. Tax Declaration Header will be changed into ‘Acknowledgement'.

Error response message

If errors were found in the electronic declaration and the data of the declaration could not be processed by the tax authorities, the Status field in the Elec. Tax Declaration Header will be changed into ‘Error’. On the Elec. Tax Decl. Error Log window you can view the error information out of the response message.

When the reported errors are solved, a new electronic declaration for the concerning period can be created and submitted.

Related Topics

Receive response messages from tax authorities

Process response message from tax authorities


Declarations for a fiscal entity

If a company has several companies registered as subsidiaries of a holding company, they have the option to submit the VAT declaration individually or combined for one fiscal entity. Regardless of the choice, the ICL declarations must always be submitted individually.

The application can not combine tax information for several companies into one electronic VAT declaration. If the company wants to combine the tax information, they have to create a VAT statement on paper for each subsidiary company and calculate the total amount for the holding company. After that these amounts can be manually entered on the website of the tax authorities.

For each subsidiary company an electronic ICL declaration can be created and submitted to the tax authorities. These electronic ICL declarations must contain the VAT registration number of the subsidiary company and the Fiscal Entity No. of the holding company out of the Company Information table.

To setup electronic declarations for subsidiaries of a holding company, you must place a check mark in the field Part of Fiscal Entity on the Elec. Tax Declaration Setup window.

Related Topics

General information

Register for electronic declaration at tax authorities

Elec. Tax Declaration Setup


Request User Certificates

To be able to use PKI you must have two user certificates:
  • Encryption certificate: to encrypt and decrypt the electronic declaration.
  • Authentication certificate: to sign the electronic declaration.

These user certificates must be requested at the certificate authorities (CA). Before you can send out the request you must setup general data in the Elec. Tax Declaration Setup table.

Setup electronic declaration

  1. Open the [image] Elec. Tax Declaration Setup window.
  2. Go to the Certificates tab and enter the data needed to get the certificates of the tax authorities and the CA.

    To get the certificates click on the Functions button and select Get Certificates.

  3. Go to the User Certificates tab and enter the data needed to be able to send the digital requests to the CA.

After the setup you can send the request for user certificates.

Request User Certificates

  1. Open the [image] User Certificate List window.
  2. Go to the Functions button and select Request User Certificates.
  3. Enter the data of the applicant of the request and an User Certificate Password.

Two digital requests will be sent automatically to the CA. The request form must be printed and faxed to the CA. The fax number can be found on the website of the CA.

The CA will check the request form and the digital request. If no errors found, the CA will provide the company a document number and a code, which are needed to download the user certificates from the CA website. The next step is to import the user certificates.


Import User Certificate

To be able to use PKI you must have user certificates to encrypt and sign the electronic declaration.

You can import requested user certificates which are downloaded from the website of the certificate authorities (CA). It is also possible to import an existing user certificate.

Import User Certificate

  1. Open the [image] User Certificate List window.
  2. Go to the Functions button and select Import User Certificate.
  3. On the form Import User Certificate choose if you want to import a requested or existing certificate, enter the path and filename of the certificate and a password. Push the OK button to start the import.

If a requested user certificate is imported, the application will search for an accompanying user certificate with status 'requested'.

When you import an existing user certificates the application will to check if it is a certificate approved by the CA.


Activate User Certificate

There can be more then one user certificate present in the database of the same type. The application will use the active authentication and encryption certificates to sign and encrypt the electronic declaration.

Activate User Certificate

  1. Open the [image] User Certificates List window.
  2. Select the user certificate you want to make active.
  3. Put a check mark in the field Active.


Register for electronic declaration at tax authorities

Before you can send electronic declarations to the tax authorities you must register your company for electronic declaration. The information the tax authorities need depends on the sign method your company will use, PIN or PKI. For both methods you have to send the form "Aanmeldingsformulier voor elektronisch berichtenverkeer met de belastingdienst" to the tax authorities.

PIN

When using PIN the tax authorities needs to know your personal PIN code. Determine the PIN code of your company and deliver it to the tax authorities by sending the form "Opgaaf elektronische handtekening ondernemers en ondernemingen".

PKI

When using PKI the tax authorities needs to know the distinguished names of your user certificates. A distinguished name is the ascription of the certificate. You can find the distinguished name of a certificate by:
  1. Open the [image] User Certificate List window.
  2. Select the concerning certificate.
  3. Click on the User Certificate button and select Show Distinguished Name.
  4. The form Certificate Distinguished Name displays the type of the certificate and all consisting fields.

Note

The documents mentioned above can be downloaded from the website of the Dutch tax authorities. Microsoft does not take responsibility of the changes in the documents by the tax authorities. The names of the documents are the names known by us on the 1st of February 2005.

After receiving the form(s), the tax authorities will send a document with your personal parameters. These parameters must be entered on the Elec. Tax Declaration Setup Window.


Setup electronic VAT declaration

To be able to create an electronic VAT declaration and communicate with the tax authorities you must set up general data in the Elec. Tax Declaration Setup table.

Setup electronic declaration

  1. Open the [image] Elec. Tax Declaration Setup window.
  2. Go to General tab and select the VAT contact type. Depending on the contact type enter the taxpayer or agent contact information. When the contact type is tax payer the contact ID in the electronic declaration will be filled with the VAT registration number of the company. In case the field Part of Fiscal Entity is checked, the contact ID will be filled with the Fiscal Entity No. of the holding company. The ID, Name and Phone No. of the service agency must only be filled in when the service agency takes care of the communication with the tax authorities.
  3. Go to Numbering tab and enter the VAT Declaration Nos. field.
  4. Go to BAPI tab and enter the data needed by the functions of the BAPI.dll.
  5. Go to E-Mail tab and enter the data needed for the communication with the tax authorities.
  6. Go to Certificates tab, select the sign method and enter the data needed to get the certificates of the tax authorities and the certificate authorities (CA).

    To get the certificates click on the Functions button and select Get Certificates.

  7. Go to User Certificates tab and enter the data necessary to send a request for user certificates to the CA. This is only relevant if sign method is PKI.

Attention

Your company must be registered at the tax authorities for electronic declaration before you can send a VAT declaration to the tax authorities.


Setup VAT Categories

For all XML elements in the electronic VAT declaration you must setup a VAT category code. By entering this code in the Elec. Tax Decl. Category field of a VAT Statement Line, you map the data of the VAT statement directly to a XML element.

To setup the electronic tax declaration VAT categories

  1. Open the [image] Elec. Tax Decl. VAT categories window.
  2. Enter a code for each combination of category and sub category that defines an XML element in the electronic VAT declaration. You also have to define if this XML element is optional or not.

Note

Each category code with Optional field is false must be defined in a VAT statement line. If not then an error message will appear when you try to create a VAT statement.


Setup VAT Statement

The data of the electronic VAT declaration is based on the definition of the VAT statement in the VAT Statement Line table. By entering the category code in the Elec. Tax Decl. Category field of a VAT Statement Line, you map the data of the VAT statement directly to an XML element.

To enter the electronic tax declaration category codes to the VAT statement

  1. Open the [image] VAT Statement window.
  2. Enter an Elec. Tax Decl. Category Code in the VAT Statement Lines.


Create electronic VAT declaration

To create an electronic VAT declaration
  1. Open the [image] Elec. Tax Declaration Card window.
  2. Select declaration type 'VAT declaration' and enter the necessary information.
  3. Push the Functions button and select Create Electronic Tax Declaration.
On the window you can see the XML elements and accompanying data of the created electronic VAT declaration. You have to submit the electronic declaration in order to send it to the tax authorities.

Attention

When the field Part of Fiscal Entity on the Elec. Tax Declaration Setup window contains a check mark, the system will give a warning that you can only create an electronic VAT declaration for one company. If you want to combine the tax information for all subsidiaries of a holding company, you must create a VAT statement on paper for each subsidiary company and manually calculate the total amounts for the holding company. These total amounts of the holding company must be entered on the website of the tax authorities.


Submit electronic VAT declaration

To submit an electronic VAT declaration to the tax authorities
  1. Open the [image] Elec. Tax Declaration Card window.
  2. Select the electronic VAT declaration you want to submit. You can only submit an electronic VAT declaration with status 'Created'.
  3. Push the Functions button and select Submit Electronic Tax Declaration.
  4. On the Submit Elec. Tax Declaration window you must enter your personal PIN code or the User Certificate Password depending on the sign method PIN or PKI. Click on the OK button to submit the electronic VAT declaration.


Setup electronic ICL declaration

Data of the company will be used for contact information in the electronic ICL declaration.

Setup company information

  1. Open the [image] Company Information window.
  2. On the General tab on the Company Information window fill in the fields Name, Address, Post Code, City, Phone No. and VAT Registration No.

Attention

If you want to send an electronic ICL declaration for a subsidiary company, you must also fill in the field Fiscal Entity No. on the Company Information window.

To be able to create the electronic ICL declaration and to communicate with the tax authorities, you must set up general data in the Elec. Tax Declaration Setup table.

Setup electronic declaration

  1. Open the [image] Elec. Tax Declaration Setup window.
  2. Go to General tab and select the ICL contact type. Depending on the contact type enter the taxpayer or agent contact information. If you want to send electronic ICL declarations for a subsidiary company of a fiscal entity, place a check mark in the field Part of Fiscal Entity.
  3. Go to Numbering tab and enter the ICL Declaration Nos. field.
  4. Go to BAPI tab and enter the data needed by the functions of the BAPI.dll.
  5. Go to E-Mail tab and enter the data needed for the communication with the tax authorities.
  6. Go to Certificates tab, select the sign method and enter the data needed to get the certificates of the tax authorities and the certificate authorities (CA).

    To get the certificates click on the Functions button and select Get Certificates.

  7. Go to User Certificates tab and enter the data necessary to send a request for user certificates to the CA. This is only relevant if sign method is PKI.

Attention

Your company must be registered at the tax authorities for electronic declaration before you can send a ICL declaration to the tax authorities.


Create electronic ICL declaration

To create an electronic ICL declaration
  1. Open the [image] Elec. Tax Declaration Card window.
  2. Select declaration type 'ICL declaration' and enter the necessary information.
  3. Push the Functions button and select Create Electronic Tax Declaration.
On the window you can see the XML elements and accompanying data of the created electronic ICL declaration. You have to submit the electronic declaration in order to send it to the tax authorities.


Submit electronic ICL declaration

To submit an electronic ICL declaration to the tax authorities
  1. Open the [image] Elec. Tax Declaration Card window.
  2. Select the electronic ICL declaration you want to submit. You can only submit an electronic ICL declaration with the status 'Created'.
  3. Push the Functions button and select Submit Electronic Tax Declaration.
  4. On the Submit Elec. Tax Declaration window you must enter your personal PIN code or the User Certificate Password depending on the sign method PIN or PKI. Click on the OK button to submit the electronic ICL declaration.

Note

If there are no intracommunautaire deliveries in the declaration period an electronic ICL declaration will be created without XML elements for the deliveries. When submitting a nil ICL declaration an error message will appear.


Receive response messages from tax authority

For each electronic declaration the tax authorities will send a response message to inform the company about the status of the electronic declaration. The first step is to import the response message from the tax authorities in Microsoft Dynamics™ NAV.

To receive response messages

  1. Open the [image] Elec. Tax Decl. Response Msgs. window.
  2. On the Elec. Tax Decl. Response Msgs. window click Functions, Receive Response Messages.
  3. Enter the CA Certificate Encryption Password and User Certificate Password fields and click OK.

On the window you can see the general information of the response messages from the tax authorities. If you want to see the content of the message or attachment, you can export these files to a folder by clicking the Functions button and select Export Response Message or Export Response Attachment respectively.

As soon as the response messages are received they will be deleted on the server at the tax authorities.

You have to process the response messages in order to link to the related electronic declarations.


Process response message from tax authority

For each electronic declaration the tax authorities will send a response message to inform the company about the status of the electronic declaration. The first step is to import the response message from the tax authorities in Microsoft Dynamics™ NAV. The second step is to process the received response messages. During this process the system will link the response message to the accompanying Elec. Tax Declaration Header and update the data of the Elec. Tax Decl. Header.

To process response messages

  1. Open the [image] Elec. Tax Decl. Response Msgs. window.
  2. On the Elec. Tax Decl. Response Msgs. window click Functions, Process Response Messages.

On the window you can see the general information of the response messages from the tax authorities. If you want to see the content of the message or attachment, you can export these files to a folder by clicking the Functions button and select Export Response Message or Export Response Attachment respectively.

When a response message is processed then the Status field will be changed into 'Processed'.


Elec. Tax Declaration Setup (table)

List of Fields in the Table

The Elec. Tax Declaration Setup table contains

  • General information, like number series and contact information that will be used to generate an electronic VAT or ICL declaration.
  • Information needed by the BAPI.dll.
  • Information necessary for the process of sending electronic declarations to and receiving response messages from the tax authorities.
  • Information to get the tax authorities and CA certificates.
  • Information for request user certificates. This is only relevant when the sign method for the electronic declarations is PKI.


Elec. Tax Declaration Header (table)

List of Fields in the Table

An electronic tax declaration consists of an electronic tax declaration header and a number of electronic tax declaration lines.

The electronic tax declaration header contains general information about the electronic declaration, like status, declaration period, our reference and date and time when the declaration has been created, submitted or a response message has been received.

The electronic tax declaration lines contain information about the xml elements and attributes and the accompanying data.

After you have completed the electronic tax declaration header and associated electronic tax declaration lines, you can submit the declaration to the tax authority.


Elec. Tax Declaration Line (table)

List of Fields in the Table

An electronic tax declaration consists of an electronic tax declaration header and a number of electronic tax declaration lines.

The electronic tax declaration header contains general information about the electronic declaration, like status, declaration period, our reference and date and time when the declaration has been created, submitted or a response message has been received.

The electronic tax declaration lines contain information about the xml elements and attributes and the accompanying data.

You cannot change the information in this table because the data is determined during the process that the electronic declaration has been created.


Elec. Tax Decl. VAT Category (table)

Elec. Tax. Decl. VAT Category Table

List of Fields in the Table

You use the Elec.Tax Decl. VAT Category table to set up all the possible combinations of categories and sub categories which represent a XML element in the electronic VAT declaration.

You must associate each category code with a VAT statement line, to map the data of the VAT statement directly to a XML element of the electronic VAT declaration.


Elec. Tax Decl. Error Log (table)

List of Fields in the Table

This table contains information about the errors of an electronic declaration reported by the tax authorities.


Elec. Tax Decl. Response Msg. (table)

List of Fields in the Table

The Elec. Tax Decl. Response Msg. table contains the processed and unprocessed response messages received from the tax authorities.


User Certificate (table)

List of Fields in the Table

This table contains the user certificates, which will be used to encrypt and sign the electronic declarations to the tax authorities. You can only change the active status of an user certificate.


Create Elec. VAT Declaration (batch job)

This batch job determine the XML elements and accompanying data of the VAT declaration and store this data in the Elec. Tax Declaration Line table.

You can define where the electronic VAT declaration will be based on. Fill in the fields as follows:

Options

VAT Template Name: select the name of the VAT template to be used to make the electronic VAT declaration. To see the existing VAT template names, click on the AssistButton.

VAT Statement Name: select the VAT statement name to be used to make the electronic VAT declaration. To see the existing VAT statement names, click on the AssistButton.


Create Elec. ICL Declaration (batch job)

This batch job determine the XML elements and accompanying data of the ICL declaration and store this data in the Elec. Tax Declaration Line table.

You can define what will be included in the electronic ICL declaration by setting filters. You can add additional fields on the batch job request form by clicking the Field field, then click the AssistButton on the right to set the filter conditions. Fill in the fields as follows:

VAT entry

VAT Bus. Posting Group: select the VAT Bus. Posting Group to include this in the electronic ICL declaration. To see the existing VAT business posting group, click the AssistButton on the right in the Filter field.

VAT Prod. Posting Group: select the VAT Prod. Posting Group to include this in the electronic ICL declaration. To see the existing VAT product posting groups, click the AssistButton on the right in the Filter field.


Submit Elec. Tax Declaration (batch job)

This batch job submits the electronic declaration to the tax authorities. The system will sign, compress and encrypt the electronic declaration before submitting it to the tax authorities. Depending on the sign method PIN or PKI the request form will show the appropriate field.

Fill in the field as follows:

Options (PIN)

PIN : enter your personal PIN code.

Options (PKI)

User Certificate Password: enter the password that is used to encrypt the user certificates.


Process Response Messages (batch job)

This batch job will process the received response messages from the tax authorities. During this process the system will link the response message to the accompanying Elec. Tax Declaration Header and update the data of the Elec. Tax Decl. Header.


Get Certificates (batch job)

This batch job will get the required certificates and store them in the database.

The batch job will get the certificates from the LDAP server you have defined on the Certificates tab on the Elec. Tax Declaration Setup window.

Fill in the fields as follows:

Options

CA Certificate Encryption Password: enter a password that will be used to encrypt the certificates.

Attention

Safe this password carefully as it is required when you receive response messages from the tax authorities.


Receive Response Messages (batch job)

This batch job will import the response messages from the tax authorities and store them in the database.

The batch job will get the response messages from the IMAP4 server you have defined on the E-Mail tab on the Elec. Tax Declaration Setup window.

Fill in the fields as follows:

Options

CA Certificate Encryption Password: enter the password that is used to encrypt the CA certificates.

User Certificate Password: enter the password that is used to encrypt the user certificates.


Import User Certificate (batch job)

This batch job will import user certificates.

You can import requested user certificates which are downloaded from the website of the certificate authorities (CA). It is also possible to import an existing user certificate.

Fill in the fields as follows:

Options

Import Action: select if you want to import a requested user certificate or an existing user certificate. To see the import actions, click on the AssistButton.

Certificate File Name: enter the path and filename of the certificate

CA Certificate Encryption Password: enter the password that is used to encrypt the CA certificates. This is only necessary when you want to import an existing user certificate.

User Certificate Password: enter the password that is used at the request for user certificates. This is only necessary when you want to import a requested user certificate.


Request User Certificates (batch job)

This batch job enables you to request user certificates at the certificate authorities (CA). It sends digital requests to the CA and makes a form which must be printed and faxed to the CA.

The digital requests are send to the CA through the SMTP server of the tax authorities.

Fill in the fields as follows:

Options

Request type: select the type of request. To see the request types, click on the AssistButton.

Request Description: enter the reason for the request. Only necessary if request type is other.

Applicant Name: enter the name of the person who request the user certificates.

Applicant Sex: select the sex of the applicant. To see the options, click on the AssistButton.

Birth Date: enter the birth date of the applicant.

Applicant E-Mail: enter the e-mail of the applicant.

ID Number: enter the ID number (such as Passport No. or Drivers License No.) of the applicant.

ID Expiration Date: enter the expiration date of the ID.

Department: enter the department of the applicant.

User Certificate Password: enter a password that will be used to encrypt the user certificates.

Attention

Safe this password carefully as it is required when you import the user certificates, send electronic declarations to the tax authorities and receive response messages from the tax authorities.


Elec. Tax Declaration Setup (window)

In the Elec. Tax Declaration Setup window, you can enter general information that will be used to generate an electronic VAT and ICL declaration.

General tab

On this tab you must define the contact type for the VAT and ICL declaration. You can set up the contact information of the taxpayer and agent. If the electronic VAT declaration will be handled by a service agency, then you must also enter the contact information of the service agency. You can also define if you want to create electronic declarations for subsidiary companies which are part of a fiscal entity.

Numbering tab

On this tab you must specify the number series that will be used for the electronic VAT and ICL declaration.

BAPI tab

On the BAPI tab you can set up the path and name of the BAPI log file and the number of seconds the bapi.dll should attempt to connect to the server of the tax authorities.

E-Mail tab

On this tab you must specify the servers, user names, passwords and e-mail addresses necessary for the communication with the tax authorities.

Certificates tab

On this tab you must specify the sign method to use for the electronic declarations, the server and search strings. This is necessary to get the certificates of the Tax Authorities and the Certificate Authority (CA).

User Certificates tab

This tab is only relevant if sign method is PKI. On this tab you must specify the data necessary to send a request for user certificates to the CA.

For Help about a specific field, click the field and press F1.

Note

The general data for this form can be obtained from documents of the tax authorities and the CA which can be downloaded from their websites. Personal data will be received form the tax authorities after the company is registered for electronic declaration.

Related Tasks

More Information


Elec. Tax Declaration Card (window)

You use the Elec. Tax Declaration Card window to enter all the relevant information to create an electronic tax declaration.

The Elec. Tax Declaration Card window is composed of two parts:

  • The header, which contains general information about the electronic tax declaration.
  • The electronic tax declaration lines which contain the xml elements and attributes and accompanying data.
For Help about a specific field, click the field and press F1.

Related Tasks

More Information


Elec. Tax Declaration List (window)

The help for this form is limited to field help. The fields on the form originate from the Elec. Tax Declaration Header table.


Elec. Tax. Decl. VAT Categories (window)

You use the Elec. Tax Decl. VAT Categories window to set up all the possible combinations of categories and sub categories which represent a XML element in the electronic VAT declaration. A combination is defined by a code. By entering this code in the Elec. Tax Decl. Category field of a VAT Statement Line, you map the data of the VAT statement directly to a XML element.

Note

Each category code with Optional field is false must be defined in a VAT statement line. If not then an error message will appear when you try to create a VAT statement.

Related Tasks

More Information


Elec. Tax Decl. Error Log (window)

You can use the Elec. Tax Decl. Error Log window to view all the errors for each Elec. Tax Declaration Header with status error. The error information is obtained from the response messages of the tax authorities.


Elec. Tax Decl. Response Msgs. (window)

The Elec. Decl. Response Msgs. window displays all the response messages received from the tax authorities. The status of the response message indicates whether the message is processed in the application or not.

On the window you can see the general information of the response messages from the tax authority. If you want to see the content of the message or attachment, you can export these files to a folder by clicking the Functions button and select Export Response Message respectively Export Response Attachment.

Related Tasks

More Information


User Certificate List (window)

You use the User Certificate List window to view the data of the User Certificates and to change the active status of an user certificate by placing or removing a check mark in the field Active.

For Help about a specific field, click the field and press F1.

Related Tasks

More Information


Certificate Distinguished Name (window)

You can use the Certificate Distinguished Name window to view all the fields where the Distinguished Name consist of.

You need this information to fill in the request form which must be sent to the the tax authorities to register for electronic declaration.

Attention

When the Status field of the user certificate is equal to 'requested' the distinguished name will be empty.

Related Tasks

More Information


Fiscal Entity No., Company Information (table)

Fiscal Entity No. Field

The Company Information Table

Fiscal entity number is the VAT number assigned to a group of companies for the purpose of reporting one consolidated VAT declaration to the Tax Authority.


Elec. Tax Decl. Category Code, VAT Statement Line (table)

Elec. Tax Decl. Category Code Field

The VAT Statement Line Table

This field contains the Elec. Tax Decl. Category Code that will be used to map the data of the VAT Statement Line to a XML element in the electronic VAT Statement. To see a list of the Elec. Tax Decl. Category codes already defined, click the AssistButton to the right of the field.


VAT Declaration Nos., Elec. Tax Declaration Setup (table)

VAT Declaration Nos. Field

The Elec. Tax Declaration Setup Table

Here you can enter the code for the number series that will be used to assign numbers to an electronic VAT declaration. To see the number series that have been set up in the No. Series table, click the AssistButton to the right of the field.


ICL Declaration Nos., Elec. Tax Declaration Setup (table)

ICL Declaration Nos. Field

The Elec. Tax Declaration Setup Table

Here you can enter the code for the number series that will be used to assign numbers to an electronic ICL declaration. To see the number series that have been set up in the No. Series table, click the AssistButton to the right of the field.


VAT Contact Type, Elec. Tax Declaration Setup (table)

VAT Contact Type Field

The Elec. Tax Declaration Setup Table

Here you can specify whether the contact person for the electronic VAT declaration is the tax payer or an agent.

Click the AssistButton and select Tax Payer or Agent.


Agent Contact ID, Elec. Tax Declaration Setup (table)

Agent Contact ID Field

The Elec. Tax Declaration Setup Table

This field contains the BECON-number of the agent. This is a number granted by the tax authorities to the agent.


Agent Contact Name, Elec. Tax Declaration Setup (table)

Agent Contact Name Field

The Elec. Tax Declaration Setup Table

This field contains the name of the contact person of the agent.


Agent Contact Phone No., Elec. Tax Declaration Setup (table)

Agent Contact Phone No. Field

The Elec. Tax Declaration Setup Table

This field contains the phone number of the contact person of the agent.


Agent Contact Address, Elec. Tax Declaration Setup (table)

Agent Contact Address Field

The Elec. Tax Declaration Setup Table

This field contains the address of the agent.


Agent Contact Post Code, Elec. Tax Declaration Setup (table)

Agent Contact Post Code Field

The Elec. Tax Declaration Setup Table

This field contains the post code of the agent.


Agent Contact City, Elec. Tax Declaration Setup (table)

Agent Contact City Field

The Elec. Tax Declaration Setup Table

This field contains the city where the agent is located.


ICL Contact Type, Elec. Tax Declaration Setup (table)

ICL Contact Type Field

The Elec. Tax Declaration Setup Table

Here you can specify whether the contact person for the electronic ICL declaration is the tax payer or an agent.

Click the AssistButton and select Tax Payer or Agent.


Service Agency Contact ID, Elec. Tax Declaration Setup (table)

Service Agency Contact ID Field

The Elec. Tax Declaration Setup Table

This field contains the ID of the service agency. This Service Agency Contact ID is necessary for the electronic VAT declaration.


Service Agency Contact Name, Elec. Tax Declaration Setup (table)

Service Agency Contact Name Field

The Elec. Tax Declaration Setup Table

This field contains the name of the contact person of the service agency for the electronic VAT declaration.


Svc. Agency Contact Phone No., Elec. Tax Declaration Setup (table)

Svc. Agency Contact Phone No. Field

The Elec. Tax Declaration Setup Table

This field contains the phone number of the contact person of the service agency for the electronic VAT declaration.


Tax Payer Contact Name, Elec. Tax Declaration Setup (table)

Tax Payer Contact Name Field

The Elec. Tax Declaration Setup Table

This field contains the name of the contact person of the taxpayer.


Tax Payer Contact Phone No., Elec. Tax Declaration Setup (table)

Tax Payer Contact Phone No. Field

The Elec. Tax Declaration Setup Table

This field contains the phone number of the contact person of the tax payer.


BAPI Log File Name, Elec. Tax Declaration Setup (table)

BAPI Log File Name Field

The Elec. Tax Declaration Setup Table

Here you can enter the path and name of the file that bapi.dll should log its actions/messages in.

Note

Only one log file path is supported. It is therefore advised to use a network share as the log file path.


BAPI Working Folder, Elec. Tax Declaration Setup (table)

BAPI Working Folder Field

The Elec. Tax Declaration Setup Table

Here you can enter the path of the folder where bapi.dll can store its temporary files when sending or receiving messages.

Note

Make sure this folder is secured properly, i.e. that only authorized colleagues have access. Only in exceptional situations the software might leave files in this folder, normally clean-up is performed as part of the normal operations.


BAPI Connection Time-out, Elec. Tax Declaration Setup (table)

BAPI Connection Time-out Field

The Elec. Tax Declaration Setup Table

Here you can enter the number of seconds the bapi.dll should attempt to connect to the server of the tax authority. If no connection could be made during this period, an error will occur. If this field is set to zero, no time-out will occur.


Outgoing (SMTP) Server Address, Elec. Tax Declaration Setup (table)

Outgoing (SMTP) Server Address Field

The Elec. Tax Declaration Setup Table

Here you can enter the server name/address including the port number of the tax authorities' SMTP server. The format consists of the server name or server IP address, optionally followed by a colon and the port number.

This server will be used by sending the electronic declarations.

Note

At the moment of writing the online help these settings are described in the document "Generieke parameters' from the tax authorities. You can find this document on the website of the tax authorities.


Outgoing (SMTP) User Name, Elec. Tax Declaration Setup (table)

Outgoing (SMTP) User Name Field

The Elec. Tax Declaration Setup Table

Here you can enter the user name for connecting to the tax authorities' SMTP server.


Outgoing (SMTP) Password, Elec. Tax Declaration Setup (table)

Outgoing (SMTP) Password Field

The Elec. Tax Declaration Setup Table

Here you can enter the password for connecting to the tax authorities' SMTP server.


Incoming (IMAP4) Server Addr., Elec. Tax Declaration Setup (table)

Incoming (IMAP4) Server Addr. Field

The Elec. Tax Declaration Setup Table

Here you can enter the server name/address including the port number of the tax authorities' IMAP4 server. The format consists of the server name or server IP address, optionally followed by a colon and the port number.

This server will be used by retreiving the response messages from the tax authorities.

Note

At the moment of writing the online help these settings are described in the document "Generieke parameters' from the tax authorities. You can find this document on the website of the tax authorities.


Incoming (IMAP4) User Name, Elec. Tax Declaration Setup (table)

Incoming (IMAP4) User Name Field

The Elec. Tax Declaration Setup Table

Here you can enter the user name for connecting to the tax authorities' IMAP4 server.


Incoming (IMAP4) Password, Elec. Tax Declaration Setup (table)

Incoming (IMAP4) Password Field

The Elec. Tax Declaration Setup Table

Here you can enter the password for connecting to the tax authorities' IMAP4 server.


From E-Mail, Elec. Tax Declaration Setup (table)

From E-Mail Field

The Elec. Tax Declaration Setup Table

Here you can enter the e-mail address to be used as the From address when sending messages to the tax authorities. This e-mail address will be issued when an account is requested from the tax authorities by the end-user.


Submit VAT Decl. to E-Mail, Elec. Tax Declaration Setup (table)

Submit VAT Decl. to E-Mail Field

The Elec. Tax Declaration Setup Table

Here you can enter the e-mail address to which the VAT declaration should be sent.

Note

At the moment of writing the online help these settings are described in the tax authorities' parameter document for the VAT process called "OB-2005 Procesparameters versie 3.2'. You can find this document on the website of the tax authorities.


VAT Declaration Process ID, Elec. Tax Declaration Setup (table)

VAT Declaration Process ID Field

The Elec. Tax Declaration Setup Table

Here you can enter the ID that identifies the process of electronic VAT declarations for your company to the tax authority. This ID will be hand over to your company by the tax authority. Each submitted electronic VAT declaration will contain this process ID.


Submit ICL Decl. to E-Mail, Elec. Tax Declaration Setup (table)

Submit ICL Decl. to E-Mail Field

The Elec. Tax Declaration Setup Table

Here you can enter the e-mail address to which the ICL declaration should be sent.

Note

At the moment of writing the online help these settings are described in the tax authorities' parameter document for the ICL process called "ICL 2005 Procesparameters 3.1'. You can find this document on the website of the tax authorities.


ICL Declaration Process ID, Elec. Tax Declaration Setup (table)

ICL Declaration Process ID Field

The Elec. Tax Declaration Setup Table

Here you can enter the ID that identifies the process of electronic ICL declarations for your company to the tax authority. This ID will be hand over to your company by the tax authority. Each submitted electronic ICL declaration will contain this process ID.


Directory (LDAP) Server Addr., Elec. Tax Declaration Setup (table)

Directory (LDAP) Server Addr. Field

The Elec. Tax Declaration Setup Table

Here you can enter the server name/address including port number of the Certification Authority's LDAP server. The format consists of the server name or server IP address, optionally followed by a colon and the port number.

From this server you can retrieve the CA Certificate and the Tax Authority's Certificate.

Note

At the moment of writing the online help these settings are described in the document "Generieke parameters' from the tax authorities. You can find this document on the website of the tax authorities.


Directory (LDAP) User Name, Elec. Tax Declaration Setup (table)

Directory (LDAP) User Name Field

The Elec. Tax Declaration Setup Table

Here you can enter the user name for connecting to the Certification Authority's LDAP server.


Directory (LDAP) Password, Elec. Tax Declaration Setup (table)

Directory (LDAP) Password Field

The Elec. Tax Declaration Setup Table

Here you can enter the password for connecting to the Certification Authority's LDAP server.


CA Certificate Search String, Elec. Tax Declaration Setup (table)

CA Certificate Search String Field

The Elec. Tax Declaration Setup Table

Here you can enter the search string for retrieving the CA Certificate from the Certification Authority's LDAP server.


CA Certificate, Elec. Tax Declaration Setup (table)

CA Certificate Field

The Elec. Tax Declaration Setup Table

This field contains the CA Certificate that you retreived from the LDAP server when you have used the function Get Certificates.


Tax Auth. Cert. Search String, Elec. Tax Declaration Setup (table)

Tax Auth. Cert. Search String Field

The Elec. Tax Declaration Setup Table

Here you can enter the search string for retreiving the Tax Authorities' Certificate from the Certification Authority's LDAP server.


Tax Authorities Certificate, Elec. Tax Declaration Setup (table)

Tax Authorities Certificate Field

The Elec. Tax Declaration Setup Table

This field contains the Tax Authorities Certificate that you retreived from the LDAP server when you have used the function Get Certificates.


Sign Method, Elec. Tax Declaration Setup (table)

Sign Method Field

The Elec. Tax Declaration Setup Table

This field indicates which method will be used to sign the electronic declarations to the tax authorities.

Possible options are:

PIN

A personal PIN code will be used to sign the electronic declaration.

PKI

User certificates will be used to sign the electronic declaration.

Attention

Please note that you can only change this sign method when there are no electronic declarations with status Submitted.


SMTP Server Address CA, Elec. Tax Declaration Setup (table)

SMTP Server Address CA Field

The Elec. Tax Declaration Setup Table

Here you can enter the server name/address including the port number of the server address where the request for user certificates will be sent to. The format consists of the server name or server IP address, optionally followed by a colon and the port number.

Please note that the email goes to the certificate authorities (CA), but through the server of the tax authorities.

Attention

This field is only relevant if the Sign Method is PKI.

Note

At the moment of writing the online help these settings are described in the document "Koppelvlakspecificaties, voor de netwerk-. transport- en berichtbeveiligingslagen, versie 2.0 definitief" from the tax authorities. You can find this document on the website of the tax authorities.


Submit CA Request to E-Mail, Elec. Tax Declaration Setup (table)

Submit CA Request to E-Mail Field

The Elec. Tax Declaration Setup Table

Here you can enter the email address of the recipient of the request for user certificates.

Attention

This field is only relevant if the Sign Method is PKI.

Note

At the moment of writing the online help these settings are described in the document "Koppelvlakspecificaties, voor de netwerk-. transport- en berichtbeveiligingslagen, versie 2.0 definitief" from the tax authorities. You can find this document on the website of the tax authorities.


SMTP User Name CA, Elec. Tax Declaration Setup (table)

SMTP User Name CA Field

The Elec. Tax Declaration Setup Table

Here you can enter the user name for connecting to the SMTP server.

Attention

This field is only relevant if the Sign Method is PKI.

Note

At the moment of writing the online help these settings are described in the document "Koppelvlakspecificaties, voor de netwerk-. transport- en berichtbeveiligingslagen, versie 2.0 definitief" from the tax authorities. You can find this document on the website of the tax authorities.


SMTP Password CA, Elec. Tax Declaration Setup (table)

SMTP Password CA Field

The Elec. Tax Declaration Setup Table

Here you can enter the password for connecting to the SMTP server.

Attention

This field is only relevant if the Sign Method is PKI.

Note

At the moment of writing the online help these settings are described in the document "Koppelvlakspecificaties, voor de netwerk-. transport- en berichtbeveiligingslagen, versie 2.0 definitief" from the tax authorities. You can find this document on the website of the tax authorities.


CA Request Tax Auth. E-Mail, Elec. Tax Declaration Setup (table)

CA Request Tax Auth. E-Mail Field

The Elec. Tax Declaration Setup Table

Here you can enter the email address that will be used as the senders address in the email that goes from the tax authorities to the certificate authorities (CA), when a request for user certificates is sent out.

Attention

This field is only relevant if the Sign Method is PKI.

Note

At the moment of writing the online help these settings are described in the document "Koppelvlakspecificaties, voor de netwerk-. transport- en berichtbeveiligingslagen, versie 2.0 definitief" from the tax authorities. You can find this document on the website of the tax authorities.


Part of Fiscal Entity, Elec. Tax Declaration Setup (table)

Part of Fiscal Entity Field

The Elec. Tax Declaration Setup Table

This field indicates whether the electronic declarations must be created for a subsidiary company which is part of a fiscal entity. If this field contains a check mark you must also fill in the Fiscal Entity No. on the Company Information window. This Fiscal Entity No. will be used as identification number in the electronic declaration.

Attention

You can only change this field if there are no electronic declarations with status Created or Submitted.


Tax Auth. Cert. Valid From, Elec. Tax Declaration Setup (table)

Tax Auth. Cert. Valid From Field

The Elec. Tax Declaration Setup Table

This field shows the start date of the period in which the tax authority certificate is valid.


Tax Auth. Cert. Valid To, Elec. Tax Declaration Setup (table)

Tax Auth. Cert. Valid To Field

The Elec. Tax Declaration Setup Table

This field shows the end date of the period in which the tax authority certificate is valid.


Declaration Type, Elec. Tax Declaration Header (table)

Declaration Type Field

The Elec. Tax Declaration Header Table

Here you can specify whether the electronic declaration concerns a VAT or ICL declaration.

Click the AssistButton and select VAT declaration or ICL declaration.


No., Elec. Tax Declaration Header (table)

No. Field

The Elec. Tax Declaration Header Table

Enter here the number of the electronic declaration you are setting up: a VAT or ICL declaration.

You can use one of the following methods:

  • If you have set up a default number series for the type of electronic declaration you are setting up, press Enter to have the program fill in this field with the next number in the series.
  • If you have not set up a number series for this type of electronic declaration, or if the number series has a check mark in the Manual Nos. field, you can enter a number manually. You can enter a maximum of 20 characters, both numbers and letters.

You cannot change the declaration number after you have confirmed it by pressing Enter.


Status, Elec. Tax Declaration Header (table)

Status Field

The Elec. Tax Declaration Header Table

This field displays the status of the electronic declaration. To see the options, click the AssistButton in the field.

Possible options are:

Created

The electronic declaration is created in Microsoft Dynamics™ NAV.

Submitted

The electronic declaration is submitted to the tax authority.

Acknowledged

The tax authority has received the electronic declaration. No errors are found in the electronic declaration and the data is processed by the tax authority

Error

The tax authority has received the electronic declaration. Errors are found in the electronic declaration and the data is not processed by the tax authority.


Message ID, Elec. Tax Declaration Header (table)

Message ID Field

The Elec. Tax Declaration Header Table

This field will be filled with the ID of the response message from the Tax authority. When you have questions about the electronic declaration you can contact the tax authority and need this message ID to refer to.


Our Reference, Elec. Tax Declaration Header (table)

Our Reference Field

The Elec. Tax Declaration Header Table

Here you can enter the unique identification for the electronic declaration. This unique identification will be included in the electronic declaration file.

The Our Reference field of a VAT declaration must be exactly 11 characters, must start with OB- and can only contain numbers, letters and dashes.

Note

You cannot change Our Reference after you have created the electronic declaration.


Declaration Year, Elec. Tax Declaration Header (table)

Declaration Year Field

The Elec. Tax Declaration Header Table

Here you can enter the declaration year. You can have electronic declarations from the year 2003.


Declaration Period, Elec. Tax Declaration Header (table)

Declaration Period Field

The Elec. Tax Declaration Header Table

Here you can select the declaration period. You can select one of the following periods:
  • one of the months
  • first, second, third or fourth quarter
  • Year

Note

For an ICL declaration you can only select a quarter as declaration period.


Declaration Period From Date, Elec. Tax Declaration Header (table)

Declaration Period From Date Field

The Elec. Tax Declaration Header Table


Declaration Period To Date, Elec. Tax Declaration Header (table)

Declaration Period To Date Field

The Elec. Tax Declaration Header Table


Date Created, Elec. Tax Declaration Header (table)

Date Created Field

The Elec. Tax Declaration Header Table

This field shows the date when the electronic declaration is created by the user.

The program automatically enters the system date.


Time Created, Elec. Tax Declaration Header (table)

Time Created Field

The Elec. Tax Declaration Header Table

This field shows the time when the electronic declaration is created by the user.

The program automatically enters the system time.


Created By, Elec. Tax Declaration Header (table)

Created By Field

The Elec. Tax Declaration Header Table

This field contains the ID of the user that created the electronic declaration.

For more information about user IDs, see Security.


Date Submitted, Elec. Tax Declaration Header (table)

Date Submitted Field

The Elec. Tax Declaration Header Table

This field shows the date when the electronic declaration is submitted to the tax authority.

The program automatically enters the system date.


Time Submitted, Elec. Tax Declaration Header (table)

Time Submitted Field

The Elec. Tax Declaration Header Table

This field shows the time when the electronic declaration is submitted to the tax authority.

The program automatically enters the system time.


Submitted By, Elec. Tax Declaration Header (table)

Submitted By Field

The Elec. Tax Declaration Header Table

This field contains the ID of the user that submitted the electronic declaration.

For more information about user IDs, see Security.


Date Received, Elec. Tax Declaration Header (table)

Date Received Field

The Elec. Tax Declaration Header Table

This field shows the date when the response message from the tax authority for an electronic declaration is processed.

The program automatically enters the system date.


Time Received, Elec. Tax Declaration Header (table)

Time Received Field

The Elec. Tax Declaration Header Table

This field shows the time when the response message from the tax authority for an electronic declaration is processed.

The program automatically enters the system time.


SMTP Server Response, Elec. Tax Declaration Header (table)

SMTP Server Response Field

The Elec. Tax Declaration Header Table

This field contains the response received from the Tax Authorities' SMTP server when sending the electronic declaration.

This information typically contains the send status, as well as a unique reference to the message on the mail server. The latter may prove to be useful when communicating with the Tax Authorities support department about electronic declarations sent.


Declaration Type, Elec. Tax Declaration Line (table)

Declaration Type Field

The Elec. Tax Declaration Line Table

This field contains the type of the electronic declaration.

The program copies the content of this field from the Declaration Type field in the Elec. Tax Declaration Header table.

The program uses the declaration type to relate the Elec. Tax Declaration Header to the associated Elec. Tax Declaration Lines.


Declaration No., Elec. Tax Declaration Line (table)

Declaration No. Field

The Elec. Tax Declaration Line Table

This field contains the number of the electronic declaration.

The program copies the content of this field from the No. field in the Elec. Tax Declaration Header table.

The program uses the declaration no. to relate the Elec. Tax Declaration Header to the associated Elec. Tax Declaration Lines.


Line No., Elec. Tax Declaration Line (table)

Line No. Field

The Elec. Tax Declaration Line Table

This field contains the line number.

The program numbers the lines sequentially and uses the numbers to keep track of the lines.


Line Type, Elec. Tax Declaration Line (table)

Line Type Field

The Elec. Tax Declaration Line Table

The line type indicates if the Elec. Tax Declaration Line contains data of an XML element or XML attribute.


Indentation Level, Elec. Tax Declaration Line (table)

Indentation Level Field

The Elec. Tax Declaration Line Table

The Indentation Level indicates the indentation of the data of the Elec. Tax Declaration Line in the XML file.


Name, Elec. Tax Declaration Line (table)

Name Field

The Elec. Tax Declaration Line Table

The name field contains the name of the XML element or XML attribute.


Data, Elec. Tax Declaration Line (table)

Data Field

The Elec. Tax Declaration Line Table

The data field contains the data of the XML element or XML attribute.

Note

The data field can be empty. For example when it concerns a xml element with child elements.


Code, Elec. Tax. Decl. VAT Category (table)

Code Field

The Elec. Tax. Decl. VAT Category Table

Enter a category code. You can enter a maximum of 10 characters, both numbers and letters.

For each combination of category and sub category, you set up a code. The code must be unique.

Later, you enter the code as Elec. Tax Decl. Category code in one of the VAT Statement Lines.

Note

Use codes that are similar to the codes that are used on the VAT Statement, such as 1A-1, 1A-2, 1B-1, etc.


Category, Elec. Tax. Decl. VAT Category (table)

Category Field

The Elec. Tax. Decl. VAT Category Table

The Category field defines the five main categories of the VAT statement.

Each defined category contains sub categories. Depending on the selected category the sub categories can be defined in one of the following fields:

  • By Us (Domestic) Field
  • To Us (Domestic) Field
  • By Us (Foreign) Field
  • To Us (Foreign) Field
  • Calculation Field


By Us (Domestic), Elec. Tax. Decl. VAT Category (table)

By Us (Domestic) Field

The Elec. Tax. Decl. VAT Category Table

Select the subcategory for the main category By Us (Domestic) of the VAT Statement.

To see the options, click the AssistButton in the field.

Note

You can only select the subcategory when the Category field is equal to By Us (Domestic).


To Us (Domestic), Elec. Tax. Decl. VAT Category (table)

To Us (Domestic) Field

The Elec. Tax. Decl. VAT Category Table

Select the subcategory for the main category To Us (Domestic) of the VAT Statement.

To see the options, click the AssistButton in the field.

Note

You can only select the subcategory when the Category field is equal to To Us (Domestic).


By Us (Foreign), Elec. Tax. Decl. VAT Category (table)

By Us (Foreign) Field

The Elec. Tax. Decl. VAT Category Table

Select the subcategory for the main category By Us (Foreign) of the VAT Statement.

To see the options, click the AssistButton in the field.

Note

You can only select the subcategory when the Category field is equal to By Us (Foreign).


To Us (Foreign), Elec. Tax. Decl. VAT Category (table)

To Us (Foreign) Field

The Elec. Tax. Decl. VAT Category Table

Select the subcategory for the main category To Us (Foreign) of the VAT Statement.

To see the options, click the AssistButton in the field.

Note

You can only select the subcategory when the Category field is equal to To Us (Foreign).


Calculation, Elec. Tax. Decl. VAT Category (table)

Calculation Field

The Elec. Tax. Decl. VAT Category Table

Select the subcategory for the main category Calculation of the VAT Statement.

To see the options, click the AssistButton in the field.

Note

You can only select the subcategory when the Category field is equal to Calculation.


Optional, Elec. Tax. Decl. VAT Category (table)

Optional Field

The Elec. Tax. Decl. VAT Category Table

A check mark in this field indicates that the XML element, that is respresented by the category code, is not required in the electronic VAT declaration.


Declaration Type, Elec. Tax Decl. Error Log (table)

Declaration Type Field

The Elec. Tax Decl. Error Log Table

This field contains the type of the electronic declaration.

The program copies the content of this field from the Declaration Type field in the Elec. Tax Declaration Header table.

The program uses the declaration type to relate the Elec. Tax Declaration Header to the associated Elec. Tax Decl. Error Log.


Declaration No., Elec. Tax Decl. Error Log (table)

Declaration No. Field

The Elec. Tax Decl. Error Log Table

This field contains the number of the electronic declaration.

The program copies the content of this field from the No. field in the Elec. Tax Declaration Header table.

The program uses the declaration no. to relate the Elec. Tax Declaration Header to the associated Elec. Tax Decl. Error Log.


No., Elec. Tax Decl. Error Log (table)

No. Field

The Elec. Tax Decl. Error Log Table

This field contains the error log line number.

The program numbers the lines sequentially and uses the numbers to keep track of the lines.


Error Class, Elec. Tax Decl. Error Log (table)

Error Class Field

The Elec. Tax Decl. Error Log Table

This field defines the error class of the error described in the response message from the tax authority.


Error Code, Elec. Tax Decl. Error Log (table)

Error Code Field

The Elec. Tax Decl. Error Log Table

This field contains the error code that defines the error within an Error Class.

The XML response message from the tax authority contains the error codes when the response message type is error.


Error Location, Elec. Tax Decl. Error Log (table)

Error Location Field

The Elec. Tax Decl. Error Log Table

This field contains the XPath expression that indicates the error location in the electronic declaration.

The XML response message from the tax authority contains the XPath expression when the response message type is error.


Error Description, Elec. Tax Decl. Error Log (table)

Error Description Field

The Elec. Tax Decl. Error Log Table

Error Description describes the error in the electronic declaration found by the tax authority.


No., Elec. Tax Decl. Response Msg. (table)

No. Field

The Elec. Tax Decl. Response Msg. Table

This field shows the number of the response messages.

When you retrieve the response messages from the tax authorities, the program automatically enters a unique identifying number in the No. field.


Status, Elec. Tax Decl. Response Msg. (table)

Status Field

The Elec. Tax Decl. Response Msg. Table

This field displays the status of the response message. To see the options, click the AssistButton in the field.

Possible options are:

Received

The response message is received from the tax authorities but not processed in the application.

Processed

The response message is succesfully processed.


Date Sent, Elec. Tax Decl. Response Msg. (table)

Date Sent Field

The Elec. Tax Decl. Response Msg. Table

This field shows the date on which the response message was sent by the tax authorities.


From, Elec. Tax Decl. Response Msg. (table)

From Field

The Elec. Tax Decl. Response Msg. Table

This field shows the name of the response message's sender.


From E-Mail Address, Elec. Tax Decl. Response Msg. (table)

From E-Mail Address Field

The Elec. Tax Decl. Response Msg. Table

This field shows the e-mail address of the response message's sender.


To, Elec. Tax Decl. Response Msg. (table)

To Field

The Elec. Tax Decl. Response Msg. Table

This field shows the name of the response message's recipient.


To E-Mail Address, Elec. Tax Decl. Response Msg. (table)

To E-Mail Address Field

The Elec. Tax Decl. Response Msg. Table

This field shows the e-mail address of the response message's recipient.


Subject, Elec. Tax Decl. Response Msg. (table)

Subject Field

The Elec. Tax Decl. Response Msg. Table

This field shows the subject of the response message.


Message, Elec. Tax Decl. Response Msg. (table)

Message Field

The Elec. Tax Decl. Response Msg. Table

This field contains the message as received from the tax authorities' IMAP4 server.

Note

Currently the application does not extract any information from this message.


Attachment, Elec. Tax Decl. Response Msg. (table)

Attachment Field

The Elec. Tax Decl. Response Msg. Table

This field contains the attachment as received from the tax authorities' IMAP4 server. When you process the response message the application parses the information in this attachment and updates the corresponding Elec. Tax Declaration Header with it.

Note

This attachment is in readable format, i.e. any encryption, compression or signature has been removed.


Declaration Type, Elec. Tax Decl. Response Msg. (table)

Declaration Type Field

The Elec. Tax Decl. Response Msg. Table

When the response message is processed the program copies the content of this field from the Declaration Type field in the related Elec. Tax Declaration Header table.

The program uses the declaration type to relate the Elec. Tax Decl. Response Msg. to the associated Elec. Tax Declaration Header.


Declaration No., Elec. Tax Decl. Response Msg. (table)

Declaration No. Field

The Elec. Tax Decl. Response Msg. Table

When the response message is processed the program copies the content of this field from the No. field in the related Elec. Tax Declaration Header table.

The program uses the declaration no. to relate the Elec. Tax Decl. Response Msg. to the associated Elec. Tax Declaration Header.


No., User Certificate (table)

No. Field

The User Certificate Table

This field shows the number of the user certificate. When you import an user certificate, the program automatically enters a unique identifying number in the No. field.


Type, User Certificate (table)

Type Field

The User Certificate Table

This field displays the type of the user certificate. To see the options, click the AssistButton in the field.

Possible options are:

Authentication

The user certificate will be used to sign the electronic declaration.

Encryption

The user certificate will be used to encrypt the electronic declaration.


Status, User Certificate (table)

Status Field

The User Certificate Table

This field displays the status of the user certificate. To see the options, click the AssistButton in the field.

Possible options are:

Requested

The user certificate is requested at the certificate authorities. These user certificates can not be used yet.

Received

The user certificate is imported and can be used.


Date Requested, User Certificate (table)

Date Requested Field

The User Certificate Table

The date on which the request for user certificates is send to the certificate authorities. This field will be empty when you import an existing user certificate.


Date Received, User Certificate (table)

Date Received Field

The User Certificate Table

The date on which the user certificate is imported.


Requested Certificate, User Certificate (table)

Requested Certificate Field

The User Certificate Table


Active, User Certificate (table)

Active Field

The User Certificate Table

This field indicates if the user certificate is active. An active user certificate will be used to sign and encrypt the electronic declaration.


Actual Certificate, User Certificate (table)

Actual Certificate Field

The User Certificate Table


CN, User Certificate (table)

CN Field

The User Certificate Table

CN is the abbreviation of Common Name. It is one of the fields where the Distinguished Name of the certificate consist of.


OU1, User Certificate (table)

OU1 Field

The User Certificate Table

OU1 is the abbreviation of Organisational Unit 1. It is one of the fields where the Distinguished Name of the certificate consist of.


OU2, User Certificate (table)

OU2 Field

The User Certificate Table

OU2 is the abbreviation of Organisational Unit 2. It is one of the fields where the Distinguished Name of the certificate consist of.


L, User Certificate (table)

L Field

The User Certificate Table

L is the abbreviation of Locality. It is one of the fields where the Distinguished Name of the certificate consist of.


O, User Certificate (table)

O Field

The User Certificate Table

O is the abbreviation of Organisation. It is one of the fields where the Distinguished Name of the certificate consist of.


C, User Certificate (table)

C Field

The User Certificate Table

C is the abbreviation of Country. It is one of the fields where the Distinguished Name of the certificate consist of.